HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Server Operation (http://www.howtoforge.com/forums/forumdisplay.php?f=5)
-   -   Install apche, phpand mysql centos 6.0 with version specific each one (http://www.howtoforge.com/forums/showthread.php?t=54831)

anroswell 8th November 2011 06:22

Install apche, phpand mysql centos 6.0 with version specific each one
 
┐How can i install in centos 6.0, the version of apache 2.2, php 5.3.0 and mysql,

Centos 6.0 come with the version of apache 5.3.8 and that not work for me, i need apche 5.3.0, how can i do for install it.

Than for the answer and sorry for my bad english.

nbhadauria 8th November 2011 09:40

You can use yum ..

First you need to allow downgrade for yum and for that you need to install yum-allowdowngrad utility program, but its very easy to install, Just issue the following command:

#yum install yum-allowdowngrade

Now add a line to your yum.conf file, its located in /etc/yum.conf
#vi /etc/yum.conf
showdupesfromrepos=1


After that list all php packages:

yum list php

If php 5.3.0 is available, remove new one:

yum remove php

and install an old one:

yum --allow-downgrade install php-5.3.0 php-cli-5.3.0 php-common-5.3.0

anroswell 8th November 2011 14:37

Hellou thank for you answer, i try your instruction but i couldn't,

No package yum-allowdowngrade available
Error: Nothing to do


i can't install

i download the package apache2, mysql and php 5.3.0, all .tar.gz and going to try install manually.


All times are GMT +2. The time now is 18:47.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.